commit: e1837e0b090600fa46d33c36fe4d5a14aa8258de
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 7 16:52:48 2026 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Mar 7 18:23:38 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1837e0b
sys-apps/system-monitoring-center: bump to 3.2.0
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
sys-apps/system-monitoring-center/Manifest | 1 +
.../system-monitoring-center-3.2.0.ebuild | 51 ++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/sys-apps/system-monitoring-center/Manifest
b/sys-apps/system-monitoring-center/Manifest
index 20b930470fcc..7483904d0a47 100644
--- a/sys-apps/system-monitoring-center/Manifest
+++ b/sys-apps/system-monitoring-center/Manifest
@@ -1,2 +1,3 @@
DIST system-monitoring-center-2.26.0.tar.gz 1936049 BLAKE2B
0f8a8472958351e7e4d659aa4d4846fc10455018f16bcf7b3ff11d640984086400a7ebf2deaa6870b92b6f3c5a74a424339279dc8864a8f55f46d16770c6455c
SHA512
1303831b2d392dd0454b257f57b493644c2c77fdb800766f44dece748b338b8d25f7f3e4ead46edb84767b1b4d821b69323d6f38668123b05fa2f66f8da0fd40
DIST system-monitoring-center-3.1.0.gh.tar.gz 884796 BLAKE2B
d5cdb44625077212d38cba104fde48ffa66b808a020a5584ff2181fb271ed51b772bc8072d0d6d37ce9f1e7b49961fd794d7331cd2a9acd53fe86152d12d4044
SHA512
3b984915b628708beda7ebb8876de509c0b14c62061a2bf89216cf28ccc986200c93b6b0e29a95a1d30b459f6434c760c8604beef8ffaae4665ecd9cea105d30
+DIST system-monitoring-center-3.2.0.gh.tar.gz 892414 BLAKE2B
5f92469a071cced953447950d076d041d0b7c4858eb91eb5662a0e01c9b901534c505b515b7f5d8a8f56af4acfcc7f35302b0905f9e27d116d2aec8b7e31fba8
SHA512
0c23a438bbb9135d7eab1dae283781a65a9b627337f18965ab51277790005a2b9e8efa2d55bd50fe14c2058dce14a45df4e2c925b8d8046ffe208bf17a74d249
diff --git
a/sys-apps/system-monitoring-center/system-monitoring-center-3.2.0.ebuild
b/sys-apps/system-monitoring-center/system-monitoring-center-3.2.0.ebuild
new file mode 100644
index 000000000000..c2ad9cd72fac
--- /dev/null
+++ b/sys-apps/system-monitoring-center/system-monitoring-center-3.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+PYTHON_REQ_USE="tk"
+
+inherit meson python-single-r1 xdg
+
+DESCRIPTION="Multi-featured system monitor GUI written in Python"
+HOMEPAGE="https://github.com/hakandundar34coding/system-monitoring-center/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/hakandundar34coding/${PN}"
+else
+
SRC_URI="https://github.com/hakandundar34coding/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ sys-apps/dmidecode
+ sys-apps/hwdata
+ $(python_gen_cond_dep '
+ dev-python/pillow[${PYTHON_USEDEP},tk]
+ dev-python/pycairo[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ ')
+"
+
+src_prepare() {
+ sed -i "s|@PYTHON@|${PYTHON}|" "${S}/src/${PN}.in" || die
+
+ default
+}
+
+src_install() {
+ meson_src_install
+ python_optimize "${ED}/usr/share/${PN}"
+
+ mv "${ED}/usr/share/appdata" "${ED}/usr/share/metainfo" || die
+}